INCLUDE "hardware.inc"
INCLUDE "png/map/intro.inc"

SECTION "BG0", ROM0

BG_Init::
    ; copy map
    ld e, intro_HEIGHT
    ld bc, _SCRN0
    ld hl, intro_MAP
.copy_map_row:
    ld d, intro_WIDTH
    call memcpy
    dec e
    jr z, .done
    ld d, 32 - intro_WIDTH
.skip:
    ; skip over trailing part in vram
    inc c
    jr nz, .nocarry
    inc b
.nocarry:
    dec d
    jr nz, .skip
    jr .copy_map_row
.done:

    ; copy tiles
    ld hl, intro_TILES
    ld bc, _VRAM
    ld d, intro_NUM_TILES
    call memcpy

    ret
